diff --git a/util/isom/build.gradle.kts b/util/isom/build.gradle.kts
new file mode 100644
index 000000000..d14ca559f
--- /dev/null
+++ b/util/isom/build.gradle.kts
@@ -0,0 +1,70 @@
+import com.github.jengelman.gradle.plugins.shadow.tasks.ShadowJar
+
+plugins {
+    id("java")
+    alias(libs.plugins.shadow)
+}
+
+group = providers.gradleProperty("bta.group").get()
+version = providers.gradleProperty("bta.version").get()
+
+val include: Configuration by configurations.creating
+
+repositories {
+    mavenCentral()
+}
+
+dependencies {
+    // <test dependencies>
+    testImplementation(platform("org.junit:junit-bom:5.10.3"))
+    testImplementation("org.junit.jupiter:junit-jupiter")
+    // </test dependencies>
+
+    implementation(project(":game:core"))?.let { include(it) }
+    implementation(project(":game:client"))?.let { include(it) }
+
+    // <core dependencies>
+    implementation(libs.jetbrains.annotations)?.let { include(it) }
+    implementation(libs.bundles.log4j)?.let { include(it) }
+    implementation(project(":util:nbt"))?.let { include(it) }
+    implementation(project(":util:logging"))?.let { include(it) }
+    // </core dependencies>
+}
+
+//region Tasks
+val buildJar by tasks.registering(ShadowJar::class) {
+    dependsOn(tasks["test"])
+    group = "useless"
+    configurations = listOf(include)
+
+    from(sourceSets["main"].output.classesDirs)
+    from(sourceSets["main"].resources)
+    archiveFileName.set("SeedViewer-$version.jar")
+    manifest {
+        attributes["Main-Class"] = "org.useless.seedviewer.SeedViewerMain"
+        attributes["Implementation-Version"] = version
+    }
+}
+
+val run by tasks.registering(JavaExec::class) {
+    group = "useless"
+
+    mainClass.set("org.useless.seedviewer.SeedViewerMain")
+    classpath += sourceSets["main"].runtimeClasspath
+    jvmArgs = if (arrayOf("Mac OS X", "Darwin").any { System.getProperty("os.name").startsWith(it) }) {
+        listOf("-XstartOnFirstThread", "-Djava.awt.headless=true", "-ea")
+    } else {
+        listOf("-ea")
+    }
+}
+
+//endregion
+
+java {
+    sourceCompatibility = JavaVersion.VERSION_1_8
+    targetCompatibility = JavaVersion.VERSION_1_8
+}
+
+tasks.test {
+    useJUnitPlatform()
+}
\ No newline at end of file
